# Class IdAClient

java.lang.Object
com.io7m.hibiscus.api.HBClientAbstract<IdAMessageType, IdAClientConnectionParameters, IdAClientException>
com.io7m.idstore.admin_client.internal.IdAClient

All Implemented Interfaces:
  `com.io7m.hibiscus.api.HBClientCloseableType<IdAClientException>, com.io7m.hibiscus.api.HBClientType<IdAMessageType, IdAClientConnectionParameters, IdAClientException>, com.io7m.hibiscus.api.HBIOOperationsType<IdAMessageType, IdAClientException>, IdAClientType, com.io7m.repetoir.core.RPServiceType, AutoCloseable`

public final class IdAClient extends com.io7m.hibiscus.api.HBClientAbstract<IdAMessageType, IdAClientConnectionParameters, IdAClientException> implements IdAClientType
The client.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdAClient(IdAClientConfiguration inConfiguration, IdStrings inStrings, Supplier<HttpClient> inHttpClients)`
  The client.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`

  ### Methods inherited from class com.io7m.hibiscus.api.HBClientAbstract

  `checkNotClosingOrClosed, close, connect, disconnect, handler, isClosed, receive, send, sendAndForget, sendAndWait, state, stateNow`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.hibiscus.api.HBClientCloseableType

  `close, isClosed`

  ### Methods inherited from interface com.io7m.hibiscus.api.HBClientType

  `connect, disconnect, state, stateNow`

  ### Methods inherited from interface com.io7m.hibiscus.api.HBIOOperationsType

  `receive, send, sendAndForget, sendAndWait`

  ### Methods inherited from interface IdAClientType

  `connectOrThrow, description, sendAndWaitOrThrow`

- ## Constructor Details

  - ### IdAClient

    public IdAClient(IdAClientConfiguration inConfiguration, IdStrings inStrings, Supplier<HttpClient> inHttpClients)
    The client.
    Parameters:
      `inConfiguration` - The configuration
      `inStrings` - The string resources
      `inHttpClients` - The HTTP clients

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`